import{s as ke,n as we,o as Me}from"../chunks/scheduler.ca8a8f1f.js";import{S as Le,i as Ne,g as i,s as o,r as l,A as Ee,h as s,f as t,c as r,j as x,u as d,x as U,k as T,y as a,a as f,v as g,d as c,t as u,w as h}from"../chunks/index.ace09054.js";import{D as S}from"../chunks/Docstring.bc94812f.js";import{H as fe}from"../chunks/Heading.bda300ec.js";function He(ye){let _,B,R,G,C,J,k,ve='<code>PeftConfigMixin</code> is the base configuration class for storing the adapter configuration of a <a href="/docs/peft/main/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>, and <a href="/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig">PromptLearningConfig</a> is the base configuration class for soft prompt methods (p-tuning, prefix tuning, and prompt tuning). These base classes contain methods for saving and loading model configurations from the Hub, specifying the PEFT method to use, type of task to perform, and model configurations like number of layers and number of attention heads.',K,w,Q,p,M,pe,I,$e=`This is the base configuration class for PEFT adapter models. It contains all the methods that are common to all
PEFT adapter models. This class inherits from <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.utils.PushToHubMixin" rel="nofollow">PushToHubMixin</a> which contains the methods to
push your model to the Hub. The method <code>save_pretrained</code> will save the configuration of your adapter model in a
directory. The method <code>from_pretrained</code> will load the configuration of your adapter model from a directory.`,me,$,L,le,F,be="Loads a configuration file from a json file.",de,b,N,ge,V,Pe="This method loads the configuration of your adapter model from a directory.",ce,P,E,ue,z,xe="This method saves the configuration of your adapter model in a directory.",X,H,Y,y,D,he,A,Te='This is the base configuration class to store the configuration of a <a href="/docs/peft/main/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>.',Z,j,ee,v,O,_e,q,Ce=`This is the base configuration class to store the configuration of <code>PrefixTuning</code>, <a href="/docs/peft/main/en/package_reference/p_tuning#peft.PromptEncoder">PromptEncoder</a>, or
<code>PromptTuning</code>.`,te,W,ne;return C=new fe({props:{title:"Configuration",local:"configuration",headingTag:"h1"}}),w=new fe({props:{title:"PeftConfigMixin",local:"peft.config.PeftConfigMixin",headingTag:"h2"}}),M=new S({props:{name:"class peft.config.PeftConfigMixin",anchor:"peft.config.PeftConfigMixin",parameters:[{name:"peft_type",val:": typing.Optional[peft.utils.peft_types.PeftType] = None"},{name:"auto_mapping",val:": typing.Optional[dict] = None"}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L28"}}),L=new S({props:{name:"from_json_file",anchor:"peft.config.PeftConfigMixin.from_json_file",parameters:[{name:"path_json_file",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_json_file.path_json_file",description:`<strong>path_json_file</strong> (<code>str</code>) &#x2014;
The path to the json file.`,name:"path_json_file"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L137"}}),N=new S({props:{name:"from_pretrained",anchor:"peft.config.PeftConfigMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": str"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code>) &#x2014;
The directory or the Hub repository id where the configuration is saved.`,name:"pretrained_model_name_or_path"},{anchor:"peft.config.PeftConfigMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the child class initialization.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L79"}}),E=new S({props:{name:"save_pretrained",anchor:"peft.config.PeftConfigMixin.save_pretrained",parameters:[{name:"save_directory",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
The directory where the configuration will be saved.`,name:"save_directory"},{anchor:"peft.config.PeftConfigMixin.save_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the <a href="https://huggingface.co/docs/transformers/main/en/main_classes/processors#transformers.ProcessorMixin.push_to_hub" rel="nofollow">push_to_hub</a>
method.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L46"}}),H=new fe({props:{title:"PeftConfig",local:"peft.PeftConfig",headingTag:"h2"}}),D=new S({props:{name:"class peft.PeftConfig",anchor:"peft.PeftConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.peft_types.PeftType, NoneType] = None"},{name:"auto_mapping",val:": typing.Optional[dict] = None"},{name:"base_model_name_or_path",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"task_type",val:": typing.Union[str, peft.utils.peft_types.TaskType, NoneType] = None"},{name:"inference_mode",val:": bool = False"}],parametersDescription:[{anchor:"peft.PeftConfig.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"},{anchor:"peft.PeftConfig.task_type",description:"<strong>task_type</strong> (Union[<code>~peft.utils.config.TaskType</code>, <code>str</code>]) &#x2014; The type of task to perform.",name:"task_type"},{anchor:"peft.PeftConfig.inference_mode",description:"<strong>inference_mode</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014; Whether to use the Peft model in inference mode.",name:"inference_mode"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L206"}}),j=new fe({props:{title:"PromptLearningConfig",local:"peft.PromptLearningConfig",headingTag:"h2"}}),O=new S({props:{name:"class peft.PromptLearningConfig",anchor:"peft.PromptLearningConfig",parameters:[{name:"peft_type",val:": typing.Union[str, peft.utils.peft_types.PeftType, NoneType] = None"},{name:"auto_mapping",val:": typing.Optional[dict] = None"},{name:"base_model_name_or_path",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"task_type",val:": typing.Union[str, peft.utils.peft_types.TaskType, NoneType] = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": typing.Optional[int] = None"},{name:"num_attention_heads",val:": typing.Optional[int] = None"},{name:"num_layers",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"peft.PromptLearningConfig.num_virtual_tokens",description:"<strong>num_virtual_tokens</strong> (<code>int</code>) &#x2014; The number of virtual tokens to use.",name:"num_virtual_tokens"},{anchor:"peft.PromptLearningConfig.token_dim",description:"<strong>token_dim</strong> (<code>int</code>) &#x2014; The hidden embedding dimension of the base transformer model.",name:"token_dim"},{anchor:"peft.PromptLearningConfig.num_transformer_submodules",description:"<strong>num_transformer_submodules</strong> (<code>int</code>) &#x2014; The number of transformer submodules in the base transformer model.",name:"num_transformer_submodules"},{anchor:"peft.PromptLearningConfig.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>) &#x2014; The number of attention heads in the base transformer model.",name:"num_attention_heads"},{anchor:"peft.PromptLearningConfig.num_layers",description:"<strong>num_layers</strong> (<code>int</code>) &#x2014; The number of layers in the base transformer model.",name:"num_layers"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L226"}}),{c(){_=i("meta"),B=o(),R=i("p"),G=o(),l(C.$$.fragment),J=o(),k=i("p"),k.innerHTML=ve,K=o(),l(w.$$.fragment),Q=o(),p=i("div"),l(M.$$.fragment),pe=o(),I=i("p"),I.innerHTML=$e,me=o(),$=i("div"),l(L.$$.fragment),le=o(),F=i("p"),F.textContent=be,de=o(),b=i("div"),l(N.$$.fragment),ge=o(),V=i("p"),V.textContent=Pe,ce=o(),P=i("div"),l(E.$$.fragment),ue=o(),z=i("p"),z.textContent=xe,X=o(),l(H.$$.fragment),Y=o(),y=i("div"),l(D.$$.fragment),he=o(),A=i("p"),A.innerHTML=Te,Z=o(),l(j.$$.fragment),ee=o(),v=i("div"),l(O.$$.fragment),_e=o(),q=i("p"),q.innerHTML=Ce,te=o(),W=i("p"),this.h()},l(e){const n=Ee("svelte-u9bgzb",document.head);_=s(n,"META",{name:!0,content:!0}),n.forEach(t),B=r(e),R=s(e,"P",{}),x(R).forEach(t),G=r(e),d(C.$$.fragment,e),J=r(e),k=s(e,"P",{"data-svelte-h":!0}),U(k)!=="svelte-wpcb2j"&&(k.innerHTML=ve),K=r(e),d(w.$$.fragment,e),Q=r(e),p=s(e,"DIV",{class:!0});var m=x(p);d(M.$$.fragment,m),pe=r(m),I=s(m,"P",{"data-svelte-h":!0}),U(I)!=="svelte-1mh9vl"&&(I.innerHTML=$e),me=r(m),$=s(m,"DIV",{class:!0});var oe=x($);d(L.$$.fragment,oe),le=r(oe),F=s(oe,"P",{"data-svelte-h":!0}),U(F)!=="svelte-zcd40r"&&(F.textContent=be),oe.forEach(t),de=r(m),b=s(m,"DIV",{class:!0});var re=x(b);d(N.$$.fragment,re),ge=r(re),V=s(re,"P",{"data-svelte-h":!0}),U(V)!=="svelte-z7yz95"&&(V.textContent=Pe),re.forEach(t),ce=r(m),P=s(m,"DIV",{class:!0});var ae=x(P);d(E.$$.fragment,ae),ue=r(ae),z=s(ae,"P",{"data-svelte-h":!0}),U(z)!=="svelte-fhg9sv"&&(z.textContent=xe),ae.forEach(t),m.forEach(t),X=r(e),d(H.$$.fragment,e),Y=r(e),y=s(e,"DIV",{class:!0});var ie=x(y);d(D.$$.fragment,ie),he=r(ie),A=s(ie,"P",{"data-svelte-h":!0}),U(A)!=="svelte-1r1kq2j"&&(A.innerHTML=Te),ie.forEach(t),Z=r(e),d(j.$$.fragment,e),ee=r(e),v=s(e,"DIV",{class:!0});var se=x(v);d(O.$$.fragment,se),_e=r(se),q=s(se,"P",{"data-svelte-h":!0}),U(q)!=="svelte-1pudpqu"&&(q.innerHTML=Ce),se.forEach(t),te=r(e),W=s(e,"P",{}),x(W).forEach(t),this.h()},h(){T(_,"name","hf:doc:metadata"),T(_,"content",De),T($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),T(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){a(document.head,_),f(e,B,n),f(e,R,n),f(e,G,n),g(C,e,n),f(e,J,n),f(e,k,n),f(e,K,n),g(w,e,n),f(e,Q,n),f(e,p,n),g(M,p,null),a(p,pe),a(p,I),a(p,me),a(p,$),g(L,$,null),a($,le),a($,F),a(p,de),a(p,b),g(N,b,null),a(b,ge),a(b,V),a(p,ce),a(p,P),g(E,P,null),a(P,ue),a(P,z),f(e,X,n),g(H,e,n),f(e,Y,n),f(e,y,n),g(D,y,null),a(y,he),a(y,A),f(e,Z,n),g(j,e,n),f(e,ee,n),f(e,v,n),g(O,v,null),a(v,_e),a(v,q),f(e,te,n),f(e,W,n),ne=!0},p:we,i(e){ne||(c(C.$$.fragment,e),c(w.$$.fragment,e),c(M.$$.fragment,e),c(L.$$.fragment,e),c(N.$$.fragment,e),c(E.$$.fragment,e),c(H.$$.fragment,e),c(D.$$.fragment,e),c(j.$$.fragment,e),c(O.$$.fragment,e),ne=!0)},o(e){u(C.$$.fragment,e),u(w.$$.fragment,e),u(M.$$.fragment,e),u(L.$$.fragment,e),u(N.$$.fragment,e),u(E.$$.fragment,e),u(H.$$.fragment,e),u(D.$$.fragment,e),u(j.$$.fragment,e),u(O.$$.fragment,e),ne=!1},d(e){e&&(t(B),t(R),t(G),t(J),t(k),t(K),t(Q),t(p),t(X),t(Y),t(y),t(Z),t(ee),t(v),t(te),t(W)),t(_),h(C,e),h(w,e),h(M),h(L),h(N),h(E),h(H,e),h(D),h(j,e),h(O)}}}const De='{"title":"Configuration","local":"configuration","sections":[{"title":"PeftConfigMixin","local":"peft.config.PeftConfigMixin","sections":[],"depth":2},{"title":"PeftConfig","local":"peft.PeftConfig","sections":[],"depth":2},{"title":"PromptLearningConfig","local":"peft.PromptLearningConfig","sections":[],"depth":2}],"depth":1}';function je(ye){return Me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ve extends Le{constructor(_){super(),Ne(this,_,je,He,ke,{})}}export{Ve as component};
